## grails.ui
Class Console

    java.lang.Object
      groovy.ui.Console
          grails.ui.Console

All Implemented Interfaces:
  groovy.lang.GroovyObject, EventListener, CaretListener, HyperlinkListener

    public class Console

extends groovy.ui.Console

Extends regular Groovy console and bootstraps Grails environment before launch to allow interaction with the Grails domain model

Since:
  0.2
Version:
  $Revision: 3885 $ First Created: 02-Jun-2006 Last Updated: $Date: 2007-04-20 09:29:43 +0100 (Fri, 20 Apr 2007) $
Author:
  Graeme Rocher

Field Summary

Fields inherited from class groovy.ui.Console
`ICON_PATH`

Constructor Summary
`Console(ClassLoader parent, groovy.lang.Binding binding)`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class groovy.ui.Console

`addClasspathDir, addClasspathDir, addClasspathJar, addClasspathJar, addToHistory, appendOutput, appendOutput, appendOutput, appendOutput, appendOutput, appendOutputNl, appendStacktrace, askToSaveFile, beep, bindResults, captureStdOut, caretUpdate, clearContext, clearContext, clearOutput, clearOutput, confirmRunInterrupt, copy, copy, cut, cut, exit, exit, fileNewFile, fileNewFile, fileNewWindow, fileNewWindow, fileOpen, fileOpen, fileSave, fileSave, fileSaveAs, fileSaveAs, find, find, findNext, findNext, findPrevious, findPrevious, finishException, finishNormal, fullStackTraces, getAfterExecution, getBeforeExecution, getCaptureStdOut, getColNum, getCommandStyle, getConsoleControllers, getCurrentClasspathDir, getCurrentClasspathJarDir, getCurrentFileChooserDir, getCursorPos, getDEFAULT_SCRIPT_NAME_START, getDirty, getFrame, getFrameConsoleDelegates, getFullStackTraces, getFullStackTracesAction, getHistory, getHistoryIndex, getHyperlinkStyle, getInputArea, getInputEditor, getLastResult, getMaxHistory, getMaxOutputChars, getNextHistoryAction, getOutputArea, getOutputStyle, getPendingRecord, getPrevHistoryAction, getPromptStyle, getResultStyle, getRootElement, getRowNum, getRowNumAndColNum, getRunThread, getRunWaitDialog, getSaveAction, getScriptFile, getScriptNameCounter, getShell, getShowScriptInOutput, getShowScriptInOutputAction, getShowToolbar, getShowToolbarAction, getStacktraceStyle, getStatusLabel, getSwing, getSystemOutInterceptor, getTextSelectionEnd, getTextSelectionStart, getToolbar, getVisualizeScriptResults, getVisualizeScriptResultsAction, historyNext, historyNext, historyPrev, historyPrev, hyperlinkUpdate, inspectLast, inspectLast, inspectVariables, inspectVariables, installInterceptor, invokeTextAction, isCaptureStdOut, isDirty, isFullStackTraces, isShowScriptInOutput, isShowToolbar, isVisualizeScriptResults, largerFont, largerFont, loadScriptFile, newScript, notifySystemOut, paste, paste, print, print, redo, redo, replace, replace, run, run, run, runScript, runScript, runSelectedScript, runSelectedScript, selectAll, selectAll, selectFilename, selectFilename, setAfterExecution, setBeforeExecution, setCaptureStdOut, setColNum, setCommandStyle, setConsoleControllers, setCurrentClasspathDir, setCurrentClasspathJarDir, setCurrentFileChooserDir, setCursorPos, setDirty, setFrame, setFrameConsoleDelegates, setFullStackTraces, setFullStackTracesAction, setHistory, setHistoryIndex, setHyperlinkStyle, setInputArea, setInputEditor, setMaxHistory, setMaxOutputChars, setNextHistoryAction, setOutputArea, setOutputStyle, setPendingRecord, setPrevHistoryAction, setPromptStyle, setResultStyle, setRootElement, setRowNum, setRowNumAndColNum, setRowNumAndColNum, setRunThread, setRunWaitDialog, setSaveAction, setScriptFile, setScriptNameCounter, setShell, setShowScriptInOutput, setShowScriptInOutputAction, setShowToolbar, setShowToolbarAction, setStacktraceStyle, setStatusLabel, setSwing, setSystemOutInterceptor, setTextSelectionEnd, setTextSelectionStart, setToolbar, setVariable, setVisualizeScriptResults, setVisualizeScriptResultsAction, showAbout, showAbout, showRunWaitDialog, showScriptInOutput, showToolbar, smallerFont, smallerFont, undo, undo, updateTitle, visualizeScriptResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### Console

    public Console(ClassLoader parent,
                   groovy.lang.Binding binding)

Method Detail

### main

    public static void main(String[] args)

Copyright (c) 2005-2009 The Grails project